Bug 461983 - Yum fails at depsolving, even with --skip-broken
Yum fails at depsolving, even with --skip-broken
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: yum (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Seth Vidal
Fedora Extras Quality Assurance
:
Depends On:
Blocks: F10Blocker/F10FinalBlocker
  Show dependency treegraph
 
Reported: 2008-09-11 14:11 EDT by Matthew Garrett
Modified: 2014-01-21 18:06 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-10-28 15:38:17 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Log from yum (37.08 KB, text/plain)
2008-09-11 14:14 EDT, Matthew Garrett
no flags Details

  None (edit)
Description Matthew Garrett 2008-09-11 14:11:27 EDT
Attempting to do a yum update on rawhide currently fails for me, even with --skip-broken. yum is version 3.2.19. Logs shown in attachment.
Comment 1 Matthew Garrett 2008-09-11 14:14:02 EDT
Created attachment 316466 [details]
Log from yum
Comment 2 Tom "spot" Callaway 2008-10-28 14:55:22 EDT
Is this still applicable? Yum updates seem to work fine in rawhide for me.
Comment 3 Matthew Garrett 2008-10-28 15:07:23 EDT
Was there a code change? The failure was presumably dependent upon the precise nature of the archive inconsistency and my installed packages at the time of the failure.
Comment 4 seth vidal 2008-10-28 15:11:50 EDT
yum 3.2.20 hit rawhide last night with a number of skipbroken code changes.
Comment 5 Matthew Garrett 2008-10-28 15:26:59 EDT
Well, I'm not in a position to reproduce it any more, so we can close it if you think it's probably fixed.
Comment 6 seth vidal 2008-10-28 15:38:17 EDT
It may or may not be fixed but the debugging is changed enough to make the report substantially different.

bugzilla needs a closed -> probably fixed but definitely different resolution.

Note You need to log in before you can comment on or make changes to this bug.